<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <!-- - Basic Information -->
  <artifactId>greenpepper-maven-plugin</artifactId>
  <packaging>maven-plugin</packaging>
  <name>GreenPepper Maven2 Plugin</name>

  <parent>
    <artifactId>greenpepper-base</artifactId>
    <groupId>com.github.strator-dev.greenpepper</groupId>
    <version>4.2.5-SNAPSHOT</version>
  </parent>

  <dependencies>
    <dependency>
      <groupId>com.github.strator-dev.greenpepper</groupId>
      <artifactId>greenpepper-extensions-java</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.github.strator-dev.greenpepper</groupId>
      <artifactId>greenpepper-client</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>com.github.strator-dev.greenpepper</groupId>
      <artifactId>greenpepper-report</artifactId>
      <version>${project.version}</version>
      <classifier>web</classifier>
      <type>zip</type>
      <scope>runtime</scope>
    </dependency>

    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-plugin-api</artifactId>
      <version>2.2.1</version>
    </dependency>

    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-archiver</artifactId>
      <version>2.6</version>
      <exclusions>
        <exclusion>
          <artifactId>slf4j-jdk14</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
        <exclusion>
          <artifactId>slf4j-nop</artifactId>
          <groupId>org.slf4j</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.jboss.forge.roaster</groupId>
      <artifactId>roaster-api</artifactId>
      <version>2.18.7.Final</version>
    </dependency>
    <dependency>
      <groupId>org.jboss.forge.roaster</groupId>
      <artifactId>roaster-jdt</artifactId>
      <version>2.18.7.Final</version>
      <scope>runtime</scope>
    </dependency>

    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-compiler-javac</artifactId>
      <version>1.8</version>
    </dependency>
    <dependency>
      <groupId>org.codehaus.plexus</groupId>
      <artifactId>plexus-compiler-manager</artifactId>
      <version>1.8</version>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
    </dependency>
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-lang3</artifactId>
    </dependency>
    <dependency>
      <groupId>org.reflections</groupId>
      <artifactId>reflections</artifactId>
      <version>0.9.10</version>
    </dependency>
    <dependency>
      <groupId>org.jsoup</groupId>
      <artifactId>jsoup</artifactId>
    </dependency>

    <!-- TEST -->
    <dependency>
      <groupId>com.github.strator-dev.greenpepper</groupId>
      <artifactId>greenpepper-samples-application</artifactId>
      <version>${project.version}</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.unitils</groupId>
      <artifactId>unitils-inject</artifactId>
      <version>3.4.2</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>jcl-over-slf4j</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>ch.qos.logback</groupId>
      <artifactId>logback-classic</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.plugin-testing</groupId>
      <artifactId>maven-plugin-testing-harness</artifactId>
      <version>1.3</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-compat</artifactId>
      <version>2.2.1</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>jmock</groupId>
      <artifactId>jmock</artifactId>
      <version>1.1.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.google.code.guice</groupId>
      <artifactId>guice</artifactId>
      <version>1.0</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>io.github.lukehutch</groupId>
      <artifactId>fast-classpath-scanner</artifactId>
      <version>1.9.19</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
    </dependency>
    <dependency>
      <groupId>com.jayway.jsonpath</groupId>
      <artifactId>json-path-assert</artifactId>
    </dependency>
    <dependency>
        <groupId>commons-beanutils</groupId>
        <artifactId>commons-beanutils</artifactId>
        <version>1.9.3</version>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <id>get-html-report-ressources</id>
            <goals>
              <goal>unpack</goal>
            </goals>
            <phase>generate-resources</phase>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>com.github.strator-dev.greenpepper</groupId>
                  <artifactId>greenpepper-report</artifactId>
                  <version>${project.version}</version>
                  <classifier>web</classifier>
                  <type>zip</type>
                  <outputDirectory>${project.build.outputDirectory}</outputDirectory>
                </artifactItem>
              </artifactItems>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>test-jar</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>jaxb2-maven-plugin</artifactId>
        <version>2.2</version>
        <configuration>
          <packageName>com.greenpepper.maven.plugin.schemas</packageName>
          <extension>true</extension>
          <target>2.1</target>
          <enableIntrospection>true</enableIntrospection>
          <arguments>
            <argument>-Xdefault-value</argument>
          </arguments>
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>xjc</goal>
            </goals>
          </execution>
        </executions>
        <dependencies>
          <!-- http://mvnrepository.com/artifact/org.jvnet.jaxb2_commons/jaxb2-default-value -->
          <dependency>
            <groupId>org.jvnet.jaxb2_commons</groupId>
            <artifactId>jaxb2-default-value</artifactId>
            <version>1.1</version>
          </dependency>
        </dependencies>
      </plugin>
      <plugin>
        <groupId>org.bsc.maven</groupId>
        <artifactId>confluence-reporting-maven-plugin</artifactId>
        <configuration>
          <parentPageTitle>Tools and Integration</parentPageTitle>
          <title>GreenPepper Maven Plugin</title>
        </configuration>
      </plugin>
    </plugins>
  </build>
  <reporting>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-plugin-plugin</artifactId>
        <version>3.4</version>
      </plugin>
    </plugins>
  </reporting>

</project>
